/*
**  State Manager for Brief
**  (C) Copyright Darryl G. Whitmore 1992-1994.  All Rights Reserved.
**
**  File:       $Logfile:   E:/proj/statman/vcs/smrestor.h_v  $
**  Revision:   $Revision:   1.3  $
**  Date:       $Date:   02 Jun 1994 21:54:18  $
**
**  This is the StatMan/restore.cb common header file.  It contains stuff
**  common to the StatMan CBrief macros and Brief's restore.cb.
*/


/*
**  Bit map for _GL_SMFlags.  We can keep several flags in one global
**  variable, thus minimizing our globals.  
*/
#define SM_OVERRIDE         0x00000001  /* StatMan override of restore.cb   */
#define SM_RST_EXECUTED     0x00000002  /* .rst() has been executed         */
#define SM_WRITE_MODIFIED   0x00000004  /* Write modified buffers           */
#define SM_NEED_2_UPDATE    0x00000008  /* Need to update StatMan state file*/
#define SM_LOAD_NEW_STATE   0x00000010  /* Load new state chosen from menu  */
#define SM_STATE_MODIFIED   0x00000020  /* State was modified               */
#define SM_ESC_FROM_MENU    0x00000040  /* ESC from StatMan menu            */
#define SM_SAVEHIST_LOADED  0x00000080  /* savehist macro loaded            */
#define SM_INDEX_INIT_DONE  0x00000100  /* Index menu initialization done   */
#define SM_STATMAN_BUFLIST  0x00000200  /* Buffer List in StatMan format    */

/*
**  restore.cb prototypes
*/
extern int      _SMInqGlobalFlag( int flag );
extern void     _SMSetGlobalFlag( int flag2Set, int newValue );

/*
**  smmenu.cb prototypes
*/
extern void     _SMDeleteAllBuffers( void );
